DRM_GEM_CMA_PRIME_GE(9)

NAME
drm_gem_cma_prime_get_sg_table - provide a scatter/gather table of pinned pages for a CMA GEM object

SYNOPSIS

struct sg_table * drm_gem_cma_prime_get_sg_table(struct drm_gem_object * obj);

ARGUMENTS

obj
    GEM object

DESCRIPTION

This function exports a scatter/gather table suitable for PRIME usage by calling the standard DMA mapping API. Drivers using the CMA helpers should set this as their DRM driver's ->gem_prime_get_sg_table callback.

RETURNS

A pointer to the scatter/gather table of pinned pages or NULL on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT